      program sample6
      integer,parameter::m=100
      integer :: a(m,m),b(m),x(m)
c
      read(10,'(10I8)')((a(i,j),j=1,m),i=1,m)
      read(20,'(10I8)')(b(j),j=1,m)
c
      do i=1,m
        x(i)=0
        do j=1,m
          x(i)=x(i)+a(i,j)*b(j)
        enddo
      enddo
c
      write(30,'(10I8)')(x(i),i=1,m)
      stop
      end

